| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-quota-sets/{tenant_id}/detail/{user_id} | Shows details for quotas for a specified tenant and user. |
Normal response codes: 200
This table shows the URI parameters for the show quota details for user request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or project in a multi-tenancy cloud. |
| String | The ID for the tenant for which you want to show quotas. This ID is different from the first tenant ID that you specify in the URI: That ID is for the admin tenant. |
| String | The user ID. Specify in the
URI as a query string:
|
This operation does not require a request body.
Example 3.284. Show quota details for user response: JSON
{
"quota_set":{
"cores":{
"in_use":0,
"limit":20,
"reserved":0
},
"fixed_ips":{
"in_use":0,
"limit":-1,
"reserved":0
},
"floating_ips":{
"in_use":0,
"limit":10,
"reserved":0
},
"injected_files":{
"in_use":0,
"limit":5,
"reserved":0
},
"instances":{
"in_use":0,
"limit":10,
"reserved":0
},
"key_pairs":{
"in_use":0,
"limit":100,
"reserved":0
},
"metadata_items":{
"in_use":0,
"limit":128,
"reserved":0
},
"ram":{
"in_use":0,
"limit":51200,
"reserved":0
},
"security_groups":{
"in_use":0,
"limit":10,
"reserved":0
},
"injected_file_content_bytes":{
"in_use":0,
"limit":10240,
"reserved":0
},
"injected_file_path_bytes":{
"in_use":0,
"limit":255,
"reserved":0
},
"security_group_rules":{
"in_use":0,
"limit":20,
"reserved":0
}
}
}
